RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::run_existing_server_on_thread_pool_t< Traits > Class Template Reference

Helper type for holding parameters necessary for running HTTP-server on a thread pool. More...

`#include <http_server_run.hpp>`

## Public Member Functions
| run_existing_server_on_thread_pool_t (std::size_t pool_size, break_signal_handling_t break_handling, http_server_t< Traits > &server)
| Initializing constructor. More...
std::size_t | pool_size () const noexcept
break_signal_handling_t | break_handling () const noexcept
http_server_t< Traits > & | server () const noexcept

## Private Attributes
std::size_t | m_pool_size
| Size of thread pool. More...
break_signal_handling_t | m_break_handling
| Should break signal handler be used? More...
http_server_t< Traits > * | m_server
| HTTP-server to be used on a thread pool. More...

## Detailed Description

template<typename Traits>
class restinio::run_existing_server_on_thread_pool_t< Traits >

Helper type for holding parameters necessary for running HTTP-server on a thread pool.

Note
  This class is not intended for direct use. It is used by RESTinio itself.

Since
  v.0.5.1

Definition at line 429 of file http_server_run.hpp.

## Constructor & Destructor Documentation

## ◆ run_existing_server_on_thread_pool_t()

template<typename Traits >

restinio::run_existing_server_on_thread_pool_t< Traits >::run_existing_server_on_thread_pool_t | ( | std::size_t | pool_size,
|  | break_signal_handling_t | break_handling,
|  | http_server_t< Traits > & | server
| ) |  |
| inline

Initializing constructor.

Parameters

  pool_size | Size of the pool.
  break_handling | Should break signal handler be used?
  server | A reference to HTTP-server to be run on a thread pool. This reference should outlive an instance of run_existing_server_on_thread_pool_t.

Definition at line 443 of file http_server_run.hpp.

## Member Function Documentation

## ◆ break_handling()

template<typename Traits >

break_signal_handling_t restinio::run_existing_server_on_thread_pool_t< Traits >::break_handling | ( |  | ) | const
| inline noexcept

Definition at line 461 of file http_server_run.hpp.

## ◆ pool_size()

template<typename Traits >

std::size_t restinio::run_existing_server_on_thread_pool_t< Traits >::pool_size | ( |  | ) | const
| inline noexcept

Definition at line 458 of file http_server_run.hpp.

## ◆ server()

template<typename Traits >

http_server_t< Traits > & restinio::run_existing_server_on_thread_pool_t< Traits >::server | ( |  | ) | const
| inline noexcept

Definition at line 464 of file http_server_run.hpp.

## Member Data Documentation

## ◆ m_break_handling

template<typename Traits >

break_signal_handling_t restinio::run_existing_server_on_thread_pool_t< Traits >::m_break_handling
| private

Should break signal handler be used?

Definition at line 434 of file http_server_run.hpp.

## ◆ m_pool_size

template<typename Traits >

std::size_t restinio::run_existing_server_on_thread_pool_t< Traits >::m_pool_size
| private

Size of thread pool.

Definition at line 432 of file http_server_run.hpp.

## ◆ m_server

template<typename Traits >

http_server_t<Traits>* restinio::run_existing_server_on_thread_pool_t< Traits >::m_server
| private

HTTP-server to be used on a thread pool.

We assume that this pointer will be valid pointer.

Definition at line 439 of file http_server_run.hpp.

The documentation for this class was generated from the following file:

- restinio/http_server_run.hpp